{% extends "base.html" %}

{% block head %}
{{ super() }}
<script type="text/javascript">
function getRecipeName()
{
    var rselect = document.getElementById('recipe');
    recipe = rselect.value;
    return recipe;
}

function previewDetails()
{
    var period = getRecipeName();
    var divobj = document.getElementById('recipedetails');
    divobj.innerHTML = "not implemented";
}
</script>
{% endblock %}

{% block title %}Apply Recipe{% endblock %}

{% block page_content %}

<div class="row">

<div class="col-md-12">
<div class="panel panel-info">
<div class="panel-heading">Apply Recipe {{ deploy.machine_alias }}</div>
<div class="panel-body">

<form method="POST" action"{{ url_for('vmanager.recipe', itemid=deploy.machine_id) }}">
<h3>
{{ form.recipe.label }} {{ form.recipe(**{"onchange":"previewDetails()"}) }}<br />
   {% for error in form.recipe.errors %}
       {{ error }}<br />
   {% endfor %}
---<br />
<div id="recipedetails">Preview</div>
</h3>

<p>
    {{ form.csrf_token() }}
    {{ form.submit }}
</p>

</div>
</div>
</div>

{% endblock %}

